//! Content data.

use serde::Serialize;

use super::media_type::MediaType;

/// Content of different types, used for example for description of an entry.
#[derive(Debug, Serialize)]
#[serde(rename = "content")]
pub struct Content {
    /// Media type of this content.
    #[serde(rename = "@type")]
    pub media_type: MediaType,
    /// Actual content.
    #[serde(rename = "$value")]
    pub content: String,
}
